/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDataquier2Missinglists;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDataquier2MissinglistsRecord extends TableRecordImpl<VDataquier2MissinglistsRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.v_dataquier2_missinglists.fk_missinglist</code>.
     */
    public void setFkMissinglist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_dataquier2_missinglists.fk_missinglist</code>.
     */
    public Integer getFkMissinglist() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dataquier2_missinglists.CODE_VALUE</code>.
     */
    public void setCodeValue(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier2_missinglists.CODE_VALUE</code>.
     */
    public Integer getCodeValue() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dataquier2_missinglists.CODE_LABEL</code>.
     */
    public void setCodeLabel(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier2_missinglists.CODE_LABEL</code>.
     */
    public String getCodeLabel() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dataquier2_missinglists.CODE_CLASS</code>.
     */
    public void setCodeClass(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier2_missinglists.CODE_CLASS</code>.
     */
    public String getCodeClass() {
        return (String) get(3);
    }

    /**
     * Setter for
     * <code>common_dd.v_dataquier2_missinglists.CODE_CLASS_QS</code>.
     */
    public void setCodeClassQs(String value) {
        set(4, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_dataquier2_missinglists.CODE_CLASS_QS</code>.
     */
    public String getCodeClassQs() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDataquier2MissinglistsRecord
     */
    public VDataquier2MissinglistsRecord() {
        super(VDataquier2Missinglists.V_DATAQUIER2_MISSINGLISTS);
    }

    /**
     * Create a detached, initialised VDataquier2MissinglistsRecord
     */
    public VDataquier2MissinglistsRecord(Integer fkMissinglist, Integer codeValue, String codeLabel, String codeClass, String codeClassQs) {
        super(VDataquier2Missinglists.V_DATAQUIER2_MISSINGLISTS);

        setFkMissinglist(fkMissinglist);
        setCodeValue(codeValue);
        setCodeLabel(codeLabel);
        setCodeClass(codeClass);
        setCodeClassQs(codeClassQs);
        resetChangedOnNotNull();
    }
}
